//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._int.gl.cor._2016_12_01;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for accountSubComplexType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="accountSubComplexType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}accountSubDescription" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}accountSubID" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}accountSubType" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}segmentParentTuple" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "accountSubComplexType", propOrder = {
    "accountSubDescription",
    "accountSubID",
    "accountSubType",
    "segmentParentTuple"
})
public class AccountSubComplexType {

    @XmlElement(nillable = true)
    protected AccountSubDescriptionItemType accountSubDescription;
    @XmlElement(nillable = true)
    protected AccountSubIDItemType accountSubID;
    @XmlElement(nillable = true)
    protected AccountSubTypeItemType accountSubType;
    @XmlElement(nillable = true)
    protected List<SegmentParentTupleComplexType> segmentParentTuple;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the accountSubDescription property.
     * 
     * @return
     *     possible object is
     *     {@link AccountSubDescriptionItemType }
     *     
     */
    public AccountSubDescriptionItemType getAccountSubDescription() {
        return accountSubDescription;
    }

    /**
     * Sets the value of the accountSubDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountSubDescriptionItemType }
     *     
     */
    public void setAccountSubDescription(AccountSubDescriptionItemType value) {
        this.accountSubDescription = value;
    }

    /**
     * Gets the value of the accountSubID property.
     * 
     * @return
     *     possible object is
     *     {@link AccountSubIDItemType }
     *     
     */
    public AccountSubIDItemType getAccountSubID() {
        return accountSubID;
    }

    /**
     * Sets the value of the accountSubID property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountSubIDItemType }
     *     
     */
    public void setAccountSubID(AccountSubIDItemType value) {
        this.accountSubID = value;
    }

    /**
     * Gets the value of the accountSubType property.
     * 
     * @return
     *     possible object is
     *     {@link AccountSubTypeItemType }
     *     
     */
    public AccountSubTypeItemType getAccountSubType() {
        return accountSubType;
    }

    /**
     * Sets the value of the accountSubType property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountSubTypeItemType }
     *     
     */
    public void setAccountSubType(AccountSubTypeItemType value) {
        this.accountSubType = value;
    }

    /**
     * Gets the value of the segmentParentTuple property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentParentTuple property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentParentTuple().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentParentTupleComplexType }
     * 
     * 
     */
    public List<SegmentParentTupleComplexType> getSegmentParentTuple() {
        if (segmentParentTuple == null) {
            segmentParentTuple = new ArrayList<SegmentParentTupleComplexType>();
        }
        return this.segmentParentTuple;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
